## IAnjutaDebugManager IAnjutaDebugManager — Interface for plugin that manages debuggers |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-debug-manager.h>

    #define             IANJUTA_DEBUG_MANAGER_ERROR
                        IAnjutaDebugManager;
                        IAnjutaDebugManagerIface;
    GQuark              ianjuta_debug_manager_error_quark   (void);

## Object Hierarchy

      GInterface
       +----IAnjutaDebugManager

## Prerequisites

IAnjutaDebugManager requires GObject.

## Signals

      "breakpoint-changed"                             : Run Last

## Description

## Details

### IANJUTA_DEBUG_MANAGER_ERROR

    #define IANJUTA_DEBUG_MANAGER_ERROR ianjuta_debug_manager_error_quark()

### IAnjutaDebugManager

    typedef struct _IAnjutaDebugManager IAnjutaDebugManager;

### IAnjutaDebugManagerIface

    typedef struct {
    	GTypeInterface g_iface;

    	/* Signal */
    	void (*breakpoint_changed) (IAnjutaDebugManager *obj, IAnjutaDebuggerBreakpoint *breakpoint);
    } IAnjutaDebugManagerIface;

### ianjuta_debug_manager_error_quark ()

    GQuark              ianjuta_debug_manager_error_quark   (void);

Returns : |

## Signal Details

### The "breakpoint-changed" signal

    void                user_function                      (IAnjutaDebugManager *ianjutadebugmanager,
                                                            gpointer             arg1,
                                                            gpointer             user_data)                : Run Last

`ianjutadebugmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.